com.trendmicro.ds.platform.rest.object.samlidentityproviders

## Class ModifySAMLIdentityProviderResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.samlidentityproviders.ModifySAMLIdentityProviderResponse

-     public class ModifySAMLIdentityProviderResponse
      extends java.lang.Object

  Response object for the ModifySAMLIdentityProvider API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifySAMLIdentityProviderResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SAMLIdentityProvider` | `getSAMLIdentityProvider()` Get the SAML identity provider.
    `void` | `setSAMLIdentityProvider(SAMLIdentityProvider samlIdentityProvider)` Set the SAML identity provider.
    `ModifySAMLIdentityProviderResponse` | `withSAMLIdentityProvider(SAMLIdentityProvider samlIdentityProvider)` Set the SAML identity provider.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifySAMLIdentityProviderResponse

          public ModifySAMLIdentityProviderResponse()

  - ### Method Detail

    - #### getSAMLIdentityProvider

          public SAMLIdentityProvider getSAMLIdentityProvider()

      Get the SAML identity provider.
      Returns:
        the SAML identity provider.

    - #### setSAMLIdentityProvider

          public void setSAMLIdentityProvider(SAMLIdentityProvider samlIdentityProvider)

      Set the SAML identity provider.
      Parameters:
        `samlIdentityProvider` - the SAML identity provider.

    - #### withSAMLIdentityProvider

          public ModifySAMLIdentityProviderResponse withSAMLIdentityProvider(SAMLIdentityProvider samlIdentityProvider)

      Set the SAML identity provider.
      Parameters:
        `samlIdentityProvider` - the SAML identity provider.
      Returns:
        the updated response object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.